petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawLGAddPoint

Adds another point to each of the line graphs. The new point must have an X coordinate larger than the old points.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawLGAddPoint(PetscDrawLG lg,const PetscReal *x,const PetscReal *y)

Logically Collective on PetscDrawLG

### Input Parameters

| lg | - the LineGraph data structure
| x, y | - the points to two arrays containing the new x and y point for each curve.

Note: You must call PetscDrawLGDraw() to display any added points Call PetscDrawLGReset() to remove all points

### See Also

PetscDrawLGCreate(), PetscDrawLGAddPoints(), PetscDrawLGAddCommonPoint(), PetscDrawLGReset(), PetscDrawLGDraw()

### Level

intermediate

### Location

src/sys/classes/draw/utils/lg.c

### Examples

src/ksp/ksp/examples/tutorials/ex68.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages